> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/actions/workflow-concepts/workflow-steps/content-quality/detect-ai-content.md).

# Detect AI Content

The "Detect AI Content" step allows you to analyze text to determine whether it was likely written by an AI or a human. This powerful tool uses Originality.ai's advanced AI detection technology to help you identify AI-generated content, ensuring content authenticity and compliance with content policies.

### How to Configure the Detect AI Content Step

* **Content**: Input the content you'd like to analyze

### Output Format

The Detect AI Content step returns a JSON object containing detailed analysis results:

```json
{
  "success": true,
  "disclaimer": "If you are trying to scan content that is under 50 words in length, you will run into AI accuracy issues.",
  "public_link": "https://app.originality.ai/share/[ID]",
  "title": "API V1 Scan",
  "score": {
    "original": 0,
    "ai": 1
  },
  "blocks": [
    {
      "text": "content text one ",
      "result": {
        "fake": 1,
        "real": 0,
        "status": "success"
      }
    },
    {
      "text": "content text two ",
      "result": {
        "fake": 0.9790024454394978,
        "real": 0.02099755456050223,
        "status": "success"
      }
    },
  
          // Additional results here        
  
  ],
  "credits_used": 3,
  "credits": 123,
  "subscription": 123,
  "content": "example content",
  "aiModelVersion": 1,
  "id": [ID]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airops.com/actions/workflow-concepts/workflow-steps/content-quality/detect-ai-content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
